import { ProColumns } from "@ant-design/pro-components";
import { Avatar, Badge, Space, Typography } from 'antd';
const { Paragraph } = Typography;
export const columns = (): ProColumns<any>[] => {
    return [
        {
            title: "昵称",
            dataIndex: 'nickname',
            key: "nickname",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return <Space> <Avatar shape="square" size={34} src={row?.headimgurl || "https://test-book-content.oss-cn-hangzhou.aliyuncs.com/bookImageFE90FDA493CE46C694B423F4F4EA7BCB.jpg"} />{row?.nickname}</Space>
            }
        },
        {
            title: "mpOpenId",
            dataIndex: 'mpOpenId',
            key: "mpOpenId",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "用户unionid",
            dataIndex: 'mpUnionId',
            key: "mpUnionId",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "是否订阅",
            dataIndex: 'subscribe',
            key: "subscribe",
            align: "center",
            hideInSearch: true,
            render:(_,row)=>{
                return <Badge status={row.subscribe?'success':'default'} text={row.subscribe?"是":"否"} />
            }
        },
       
        {
            title: "关注场景",
            dataIndex: 'subscribeScene',
            key: "subscribeScene",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "二维码扫码场景",
            dataIndex: 'qrScene',
            key: "qrScene",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "二维码扫码场景描述",
            dataIndex: 'qrSceneStr',
            key: "qrSceneStr",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "关注时间",
            dataIndex: 'subscribeTime',
            key: "subscribeTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "取关时间",
            dataIndex: 'unsubscribeTime',
            key: "unsubscribeTime",
            align: "center",
            hideInSearch: true,
        },
        {
            title: "公众号小程序用户ID",
            dataIndex: 'openId',
            key: "openId",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return row?.wechatMiniappUser?.openId || "-"
            }
        },
        {
            title: "登录设备",
            dataIndex: 'osType',
            key: "osType",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return row?.wechatMiniappUser?.osType || "-"
            }
        },
        {
            title: "最近登录IP",
            dataIndex: 'lastLoginIp',
            key: "lastLoginIp",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return row?.wechatMiniappUser?.lastLoginIp || "-"
            }
        },
        {
            title: "最近登录时间",
            dataIndex: 'lastLoginTime',
            key: "lastLoginTime",
            align: "center",
            hideInSearch: true,
            render: (_, row) => {
                return row?.wechatMiniappUser?.lastLoginTime || "-"
            }
        },
        {
            title: "注册时间",
            dataIndex: 'createTime',
            key: "createTime",
            hideInSearch: true,
            align: "center",
            render: (_, row) => {
                return row?.wechatMiniappUser?.createTime || "-"
            }
        },
        {
            title: "备注",
            dataIndex: 'remark',
            key: "remark",
            align: "center",
            hideInSearch: true,
        },

    ];
}