import { PageContainer } from "@ant-design/pro-components"
import { columns } from "./tableConfig"
import { useAjax } from "@/Hook/useAjax"
import { useModel } from "@umijs/max"
import { longBookOrderList } from "@/services/miniApp/payLog"
import { useCallback } from "react"
import MyProTable from "@/components/MyProTable"

const Page: React.FC = () => {
    let { initialState } = useModel("@@initialState")
    let getList = useAjax((params) => longBookOrderList(params), { type: 'table' })
    const submit = useCallback((params: { orderNo: string }) => {
        // ShortBookOrderReportOrder.run(params).then(res => {
        //     if (res.code === 200) {
        //         actionRef?.current?.reload()
        //     }
        // })
    }, [])
    return <PageContainer title={false}
    >
        <MyProTable<any, any>
            scroll={{ x: 'max-content' }}
            params={{
                appId: initialState?.selectApp?.id || "",
                distributorId: initialState?.currentUser?.distributorId,
                appType: initialState?.selectApp?.appType || ""
            }}
            headerTitle={"小说充值记录列表"}
            rowKey={(r) => r.id}
            search={{
                labelWidth: 120,
            }}
            request={async (params) => {
                return await getList.run(params)
            }}
            columns={columns(submit)}
        // bordered
        />
    </PageContainer>

}
export default Page